about summary refs log tree commit diff
path: root/third_party/git/t/t5602-clone-remote-exec.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/git/t/t5602-clone-remote-exec.sh')
-rwxr-xr-xthird_party/git/t/t5602-clone-remote-exec.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/third_party/git/t/t5602-clone-remote-exec.sh b/third_party/git/t/t5602-clone-remote-exec.sh
new file mode 100755
index 0000000000..cbcceab9d5
--- /dev/null
+++ b/third_party/git/t/t5602-clone-remote-exec.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+test_description=clone
+
+. ./test-lib.sh
+
+test_expect_success setup '
+	echo "#!/bin/sh" > not_ssh &&
+	echo "echo \"\$*\" > not_ssh_output" >> not_ssh &&
+	echo "exit 1" >> not_ssh &&
+	chmod +x not_ssh
+'
+
+test_expect_success 'clone calls git upload-pack unqualified with no -u option' '
+	test_must_fail env GIT_SSH=./not_ssh git clone localhost:/path/to/repo junk &&
+	echo "localhost git-upload-pack '\''/path/to/repo'\''" >expected &&
+	test_cmp expected not_ssh_output
+'
+
+test_expect_success 'clone calls specified git upload-pack with -u option' '
+	test_must_fail env GIT_SSH=./not_ssh \
+		git clone -u ./something/bin/git-upload-pack localhost:/path/to/repo junk &&
+	echo "localhost ./something/bin/git-upload-pack '\''/path/to/repo'\''" >expected &&
+	test_cmp expected not_ssh_output
+'
+
+test_done